<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: AccessWindowVertical Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classarm__compute_1_1_access_window_vertical.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">AccessWindowVertical Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Implementation of a column access pattern.  
 <a href="classarm__compute_1_1_access_window_vertical.xhtml#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_i_access_window_8h_source.xhtml">IAccessWindow.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for AccessWindowVertical:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classarm__compute_1_1_access_window_vertical__coll__graph.svg" width="183" height="187"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.xhtml">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aeee936a7e64982bb0304daa9a80905ef"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_vertical.xhtml#aeee936a7e64982bb0304daa9a80905ef">AccessWindowVertical</a> (<a class="el" href="classarm__compute_1_1_tensor_info.xhtml">TensorInfo</a> *info, int y, int height, float scale_y=1.f)</td></tr>
<tr class="memdesc:aeee936a7e64982bb0304daa9a80905ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for a column access pattern.  <a href="#aeee936a7e64982bb0304daa9a80905ef">More...</a><br /></td></tr>
<tr class="separator:aeee936a7e64982bb0304daa9a80905ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classarm__compute_1_1_access_window_rectangle"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classarm__compute_1_1_access_window_rectangle')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml">AccessWindowRectangle</a></td></tr>
<tr class="memitem:ab188c1e89be24e1f21b045bc8818d706 inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml#ab188c1e89be24e1f21b045bc8818d706">AccessWindowRectangle</a> (<a class="el" href="classarm__compute_1_1_tensor_info.xhtml">TensorInfo</a> *info, int x, int y, int width, int height)</td></tr>
<tr class="memdesc:ab188c1e89be24e1f21b045bc8818d706 inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for a rectangular access pattern.  <a href="#ab188c1e89be24e1f21b045bc8818d706">More...</a><br /></td></tr>
<tr class="separator:ab188c1e89be24e1f21b045bc8818d706 inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8798dad6f6ace10ca2b814464d666ca0 inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml#a8798dad6f6ace10ca2b814464d666ca0">AccessWindowRectangle</a> (<a class="el" href="classarm__compute_1_1_tensor_info.xhtml">TensorInfo</a> *info, int x, int y, int width, int height, float scale_x, float scale_y)</td></tr>
<tr class="memdesc:a8798dad6f6ace10ca2b814464d666ca0 inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for a rectangular access pattern.  <a href="#a8798dad6f6ace10ca2b814464d666ca0">More...</a><br /></td></tr>
<tr class="separator:a8798dad6f6ace10ca2b814464d666ca0 inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c22b1f2583d9a660f7bb13e0b07fa1f inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml#a4c22b1f2583d9a660f7bb13e0b07fa1f">AccessWindowRectangle</a> (const <a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml">AccessWindowRectangle</a> &amp;)=delete</td></tr>
<tr class="separator:a4c22b1f2583d9a660f7bb13e0b07fa1f inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdf21e65ee4cc7cf79a43e3de64dcc7e inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml">AccessWindowRectangle</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml#abdf21e65ee4cc7cf79a43e3de64dcc7e">operator=</a> (const <a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml">AccessWindowRectangle</a> &amp;)=delete</td></tr>
<tr class="separator:abdf21e65ee4cc7cf79a43e3de64dcc7e inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e61df99b87b429b0f8a7a1dfbc10139 inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml#a4e61df99b87b429b0f8a7a1dfbc10139">AccessWindowRectangle</a> (<a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml">AccessWindowRectangle</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a4e61df99b87b429b0f8a7a1dfbc10139 inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21ab33d8ab185c1321f4c213335e6802 inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml">AccessWindowRectangle</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml#a21ab33d8ab185c1321f4c213335e6802">operator=</a> (<a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml">AccessWindowRectangle</a> &amp;&amp;)=default</td></tr>
<tr class="separator:a21ab33d8ab185c1321f4c213335e6802 inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32733393d362ac5cd19a588bb248e5c6 inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml#a32733393d362ac5cd19a588bb248e5c6">~AccessWindowRectangle</a> ()=default</td></tr>
<tr class="separator:a32733393d362ac5cd19a588bb248e5c6 inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a718cd06814abc688b1abdc729ed3a71b inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml#a718cd06814abc688b1abdc729ed3a71b">set_valid_region</a> (const <a class="el" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;window, const <a class="el" href="structarm__compute_1_1_valid_region.xhtml">ValidRegion</a> &amp;input_valid_region, bool border_undefined=false, const <a class="el" href="structarm__compute_1_1_border_size.xhtml">BorderSize</a> &amp;border_size=<a class="el" href="structarm__compute_1_1_border_size.xhtml">BorderSize</a>(0))</td></tr>
<tr class="memdesc:a718cd06814abc688b1abdc729ed3a71b inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the valid region based on access pattern, valid region of the inputs and border mode.  <a href="#a718cd06814abc688b1abdc729ed3a71b">More...</a><br /></td></tr>
<tr class="separator:a718cd06814abc688b1abdc729ed3a71b inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a982d6e438dabc0d759d01464fe939cfd inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structarm__compute_1_1_valid_region.xhtml">ValidRegion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml#a982d6e438dabc0d759d01464fe939cfd">compute_valid_region</a> (const <a class="el" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;window, const <a class="el" href="structarm__compute_1_1_valid_region.xhtml">ValidRegion</a> &amp;input_valid_region) const </td></tr>
<tr class="memdesc:a982d6e438dabc0d759d01464fe939cfd inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute the valid region based on access pattern, valid region of the inputs and border mode.  <a href="#a982d6e438dabc0d759d01464fe939cfd">More...</a><br /></td></tr>
<tr class="separator:a982d6e438dabc0d759d01464fe939cfd inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae80edc371ba9f02d756aed720040878b inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structarm__compute_1_1_valid_region.xhtml">ValidRegion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml#ae80edc371ba9f02d756aed720040878b">compute_valid_region</a> (const <a class="el" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;window, <a class="el" href="structarm__compute_1_1_valid_region.xhtml">ValidRegion</a> input_valid_region, bool border_undefined, <a class="el" href="structarm__compute_1_1_border_size.xhtml">BorderSize</a> border_size) const override</td></tr>
<tr class="separator:ae80edc371ba9f02d756aed720040878b inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ad9fe991410dc3550f6c4fd6e87a708 inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml#a7ad9fe991410dc3550f6c4fd6e87a708">update_window_if_needed</a> (<a class="el" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;window) const override</td></tr>
<tr class="memdesc:a7ad9fe991410dc3550f6c4fd6e87a708 inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shrink the window if padding is not large enough.  <a href="#a7ad9fe991410dc3550f6c4fd6e87a708">More...</a><br /></td></tr>
<tr class="separator:a7ad9fe991410dc3550f6c4fd6e87a708 inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4b8f5a316fa4d33a1c600a3f27e590f inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_access_window_rectangle.xhtml#ab4b8f5a316fa4d33a1c600a3f27e590f">update_padding_if_needed</a> (const <a class="el" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;window) const override</td></tr>
<tr class="memdesc:ab4b8f5a316fa4d33a1c600a3f27e590f inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase the padding to be large enough for the window.  <a href="#ab4b8f5a316fa4d33a1c600a3f27e590f">More...</a><br /></td></tr>
<tr class="separator:ab4b8f5a316fa4d33a1c600a3f27e590f inherit pub_methods_classarm__compute_1_1_access_window_rectangle"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classarm__compute_1_1_i_access_window"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classarm__compute_1_1_i_access_window')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classarm__compute_1_1_i_access_window.xhtml">IAccessWindow</a></td></tr>
<tr class="memitem:abc3996ab36cfa27811d661debfca5b5f inherit pub_methods_classarm__compute_1_1_i_access_window"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_i_access_window.xhtml#abc3996ab36cfa27811d661debfca5b5f">~IAccessWindow</a> ()=default</td></tr>
<tr class="separator:abc3996ab36cfa27811d661debfca5b5f inherit pub_methods_classarm__compute_1_1_i_access_window"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Implementation of a column access pattern. </p>

<p>Definition at line <a class="el" href="_i_access_window_8h_source.xhtml#l00184">184</a> of file <a class="el" href="_i_access_window_8h_source.xhtml">IAccessWindow.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aeee936a7e64982bb0304daa9a80905ef"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_access_window_vertical.xhtml">AccessWindowVertical</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classarm__compute_1_1_tensor_info.xhtml">TensorInfo</a> *&#160;</td>
          <td class="paramname"><em>info</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>scale_y</em> = <code>1.f</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor for a column access pattern. </p>
<dl class="section note"><dt>Note</dt><dd>Height has to be non-negative.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in,out]</td><td class="paramname">info</td><td><a class="el" href="classarm__compute_1_1_tensor.xhtml" title="Basic implementation of the tensor interface. ">Tensor</a> info of the accessed kernel. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">y</td><td>Offset of the access in Y direction. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">height</td><td>Number of elements that are accessed in Y direction. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">scale_y</td><td>Ratio along the Y direction between the window used by the execute_window_loop and the rectangular access pattern defined </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_i_access_window_8h_source.xhtml#l00196">196</a> of file <a class="el" href="_i_access_window_8h_source.xhtml">IAccessWindow.h</a>.</p>

<p>References <a class="el" href="_error_8h_source.xhtml#l00100">ARM_COMPUTE_ERROR_ON</a>.</p>
<div class="fragment"><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;        : <a class="code" href="classarm__compute_1_1_access_window_rectangle.xhtml#ab188c1e89be24e1f21b045bc8818d706">AccessWindowRectangle</a>(info, 0, y, 1, height, 1.f, scale_y)</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;    {</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;        <a class="code" href="_error_8h.xhtml#a54a6080c9f4df1f908e57a9bbb46f5da">ARM_COMPUTE_ERROR_ON</a>(height &lt; 0);</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;        <a class="code" href="_error_8h.xhtml#a54a6080c9f4df1f908e57a9bbb46f5da">ARM_COMPUTE_ERROR_ON</a>(scale_y &lt; 0);</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;    }</div><div class="ttc" id="_error_8h_xhtml_a54a6080c9f4df1f908e57a9bbb46f5da"><div class="ttname"><a href="_error_8h.xhtml#a54a6080c9f4df1f908e57a9bbb46f5da">ARM_COMPUTE_ERROR_ON</a></div><div class="ttdeci">#define ARM_COMPUTE_ERROR_ON(cond)</div><div class="ttdoc">If the condition is true then an error message is printed and an exception thrown. </div><div class="ttdef"><b>Definition:</b> <a href="_error_8h_source.xhtml#l00100">Error.h:100</a></div></div>
<div class="ttc" id="classarm__compute_1_1_access_window_rectangle_xhtml_ab188c1e89be24e1f21b045bc8818d706"><div class="ttname"><a href="classarm__compute_1_1_access_window_rectangle.xhtml#ab188c1e89be24e1f21b045bc8818d706">arm_compute::AccessWindowRectangle::AccessWindowRectangle</a></div><div class="ttdeci">AccessWindowRectangle(TensorInfo *info, int x, int y, int width, int height)</div><div class="ttdoc">Constructor for a rectangular access pattern. </div><div class="ttdef"><b>Definition:</b> <a href="_i_access_window_8h_source.xhtml#l00115">IAccessWindow.h:115</a></div></div>
</div><!-- fragment -->
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>arm_compute/core/<a class="el" href="_i_access_window_8h_source.xhtml">IAccessWindow.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacearm__compute.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="classarm__compute_1_1_access_window_vertical.xhtml">AccessWindowVertical</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:10 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
